Subject: Re: [RFC] arch/ppc/boot/simple/embed_boot.c : Merging all keyvals parsing code

From: Tom Rini <[email-masked]>
Date: Mon, 30 Jan 2006 10:28:51 -0700

On Wed, Jan 25, 2006 at 05:02:20PM +0100, Laurent Pinchart wrote:
> > > Should I submit a patch, or leave the code as it is ?
> >
> > Port Das U-Boot.
> 
> Of course, that's another solution. We will use Das U-Boot for our custom 
> design.
> 
> What I wanted to do here is completely different. As the board comes with a 
> proprietary boot loader, I thought it would be interesting for future users 
> to have the board supported in the vanilla kernel, like many other boards 
> are. Is that a mistake ?

No, that's good.  If you can cleanly merge the existing parsing code, by
all means please do so.  Thanks.

-- 
Tom Rini
http://gate.crashing.org/~trini/